Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity
Class InitialClaimsProcessor

    java.lang.Object
      org.wso2.solutions.identity.InitialClaimsProcessor

    public class InitialClaimsProcessor

extends java.lang.Object

This processes the list of initial claims given to the identity provider at the initial start up.

Field Summary
`static java.lang.String` | `ATTR_DIALECT`
`static java.lang.String` | `ATTR_DIALECT_INFO`
`static java.lang.String` | `ATTR_URI`
`static java.lang.String` | `LN_CLAIM_TYPE`
`static java.lang.String` | `LN_CLAIMS`
`static java.lang.String` | `LN_DESCRIPTION`
`static java.lang.String` | `LN_DISPLAY_TAG`

Constructor Summary
`InitialClaimsProcessor()`

Method Summary
`java.util.ArrayList` | `getClaimList()`
`java.util.ArrayList` | `getDialectList()`
`void` | `process(org.apache.axiom.om.OMElement initialClaims)`
`void` | `process(java.lang.String filePath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LN_CLAIMS

    public static final java.lang.String LN_CLAIMS

See Also:
  Constant Field Values

### LN_CLAIM_TYPE

    public static final java.lang.String LN_CLAIM_TYPE

See Also:
  Constant Field Values

### LN_DISPLAY_TAG

    public static final java.lang.String LN_DISPLAY_TAG

See Also:
  Constant Field Values

### LN_DESCRIPTION

    public static final java.lang.String LN_DESCRIPTION

See Also:
  Constant Field Values

### ATTR_DIALECT

    public static final java.lang.String ATTR_DIALECT

See Also:
  Constant Field Values

### ATTR_DIALECT_INFO

    public static final java.lang.String ATTR_DIALECT_INFO

See Also:
  Constant Field Values

### ATTR_URI

    public static final java.lang.String ATTR_URI

See Also:
  Constant Field Values

Constructor Detail

### InitialClaimsProcessor

    public InitialClaimsProcessor()

Method Detail

### process

    public void process(org.apache.axiom.om.OMElement initialClaims)
                 throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### process

    public void process(java.lang.String filePath)
                 throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getClaimList

    public java.util.ArrayList getClaimList()

### getDialectList

    public java.util.ArrayList getDialectList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD